{"revision":"c10276e953456835cdbb1f3a60d58ae1980be353","document":{"id":542,"path":"api-reference/rest-apis/sales_crm_pricing-DELETE-pricing-context-id.md","title":"Sales CRM Pricing - DELETE - /api/sn\\_csm\\_pricing/v1/pricingengine/pricing\\_context/\\{pricing\\_context\\_id\\}","bundle":null,"doc_type":null,"release":"australia","body":"\n# Sales CRM Pricing - DELETE - /api/sn\\_csm\\_pricing/v1/pricingengine/pricing\\_context/\\{pricing\\_context\\_id\\}\n\nTerminate a session with a given ID that was established during a configurator session.\n\n## URL format\n\nVersioned URL: `/api/sn_csm_pricing/v1/pricingengine/pricing_context/{pricing_context_id}`\n\nDefault URL: `/api/sn_csm_pricing/pricingengine/pricing_context/{pricing_context_id}`\n\n## Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr><tr><td>\n\npricing\\_context\\_id\n\n</td><td>\n\nID from pricing engine request when scope is configurator.\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n|Name|Description|\n|----|-----------|\n|None| |\n\n## Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-entry-RESTAPI\">\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|status|Indicates the overall outcome of the requested operation.|\n|message|A human-readable message that provides more detail about the status. It is useful for logging or for displaying a confirmation to an end-user. In this case, it explicitly states that the deletion was successful.|\n|pricing\\_context\\_id|The unique of the resource that was affected by the operation. By returning the ID, the API confirms exactly which pricing context has been deleted, which helps prevent ambiguity.|\n\n## Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Successful. The request was successfully processed.|\n\n## Response body parameters \\(JSON or XML\\)\n\n|Name|Description|\n|----|-----------|\n|None||\n\n## cURL request\n\n```\ncurl -i -X DELETE \\\n'https://instance.servicenow.com/api/sn_csm_pricing/v1/pricingengine/pricing_context/{pricing_context_id}' \\\n--user 'username:password'\n```\n\n**Parent Topic:**[Sales CRM Pricing API](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-apis/sales-crm-pricing-api.md)\n\n"}}